using System;
using libscclient;
using libprops;
using System.Windows.Forms;

namespace scgui
{
	public class ContextSettingsControl : System.Windows.Forms.Panel
	{
		
		private libscclient.ContextSettings settings;


		public ContextSettingsControl (libscclient.ContextSettings settings)
		{
			this.settings = settings;
            
			foreach (string category in settings.GetPropertyCategories()){
				foreach (string name in settings.GetPropertyNames(category)){
					Property prop = this.settings.GetProperty(category,name);
					System.Windows.Forms.Control control = libpropsguiwf.Factory.GetControl(prop, name);
					this.Controls.Add(control);
					control.Dock = System.Windows.Forms.DockStyle.Fill;
				}
			}
		}
		
		
		
	}
}

